> For the complete documentation index, see [llms.txt](https://docs.panther.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.panther.com/ko/data-onboarding/supported-logs/nginx.md).

# Nginx 로그

## 개요

Panther는 일반적인 방법을 통해 Nginx 로그 수집을 지원합니다 [데이터 전송](/ko/data-onboarding/data-transports.md) 옵션: Amazon Web Services(AWS) S3, SQS, CloudWatch.

## Panther에 Nginx 로그를 온보딩하는 방법

이 로그를 Panther에 연결하려면:

1. Panther 콘솔의 왼쪽 탐색 표시줄에서 다음을 클릭합니다: **구성** > **로그 소스**.
2. 다음을 클릭합니다: **새로 만들기**.
3. 온보딩하려는 로그 유형을 검색한 다음 해당 타일을 클릭합니다.
4. 이 통합에 사용할 데이터 전송 방법을 선택한 다음, 해당 방법을 구성하기 위한 Panther의 지침을 따르세요:
   * [AWS CloudWatch](/ko/data-onboarding/data-transports/aws/cloudwatch.md)
   * [AWS SQS](/ko/data-onboarding/data-transports/aws/sqs.md)
   * [AWS S3 버킷](/ko/data-onboarding/data-transports/aws/s3.md)
5. Nginx를 구성하여 로그를 Data Transport 소스로 푸시합니다.
   * 선택한 Data Transport 소스로 로그를 푸시하는 방법은 Nginx 문서를 참조하세요.

## Data Explorer에서 로그 쿼리하기

Panther의 Data Explorer에서 NGINX 로그를 쿼리하는 예시는 다음을 참조하세요 [Nginx 및 ALB 액세스 로그 쿼리](/ko/search/data-explorer/example-queries/nginx-and-alb-access-logs-queries.md).

## 지원되는 로그 유형

### Nginx.Access

Nginx 서버의 액세스 로그입니다. Panther는 Nginx 'combined' 형식을 지원합니다.

참조: [로그 형식에 대한 Nginx 문서.](http://nginx.org/en/docs/http/ngx_http_log_module.html#log_format)

```yaml
스키마: Nginx.Access
파서:
    fastmatch:
        match:
            - '%{remoteAddr} - %{remoteUser} [%{time}] "%{request}" %{status} %{bodyBytesSent} "%{httpReferer}" "%{httpUserAgent}"'
        emptyValues:
            - '-'
설명: Nginx 서버의 액세스 로그입니다. 현재 Nginx 'combined' 형식을 지원합니다.
referenceURL: https://nginx.org/en/docs/http/ngx_http_log_module.html#log_format
fields:
    - 이름: remoteAddr
      설명: 서버에 요청을 보낸 클라이언트(원격 호스트)의 IP 주소입니다.
      type: string
      표시자:
        - ip
    - 이름: remoteUser
      설명: 요청을 보낸 사람의 사용자 ID입니다. 일반적으로 .htaccess에서 인증을 요청하지 않는 한 비어 있습니다.
      type: string
      표시자:
        - 사용자명
    - 이름: time
      required: true
      설명: 요청이 수신된 시간(UTC)입니다.
      type: timestamp
      timeFormats:
        - '%d/%b/%Y:%H:%M:%S %z'
      isEventTime: true
    - 이름: request
      설명: 클라이언트의 요청 라인입니다. HTTP 메서드, 요청한 리소스, HTTP 프로토콜이 포함됩니다.
      type: string
    - 이름: status
      설명: 클라이언트에 반환된 HTTP 상태 코드입니다.
      유형: smallint
    - 이름: bodyBytesSent
      설명: 클라이언트에 반환된 객체의 크기이며, 바이트 단위로 측정됩니다.
      type: bigint
    - 이름: httpReferer
      설명: HTTP 리퍼러가 있는 경우 해당 값입니다.
      type: string
    - 이름: httpUserAgent
      설명: 사용자가 요청을 보낼 때 사용한 사용자 에이전트입니다.
      type: string
```

### Nginx.Error

Nginx 서버의 오류 로그입니다.

```yaml
스키마: Nginx.Error
파서:
    fastmatch:
        match:
            - '%{time} [%{severity}] %{pid}#%{tid}: *%{message}'
        emptyValues:
            - '-'
설명: Nginx 서버의 오류 로그입니다.
referenceURL: https://nginx.org/en/docs/http/ngx_http_log_module.html#log_format
fields:
    - 이름: time
      required: true
      설명: 오류가 발생한 시간(UTC)입니다.
      type: timestamp
      timeFormats:
        - '%Y/%m/%d %H:%M:%S'
      isEventTime: true
    - 이름: severity
      required: true
      설명: 오류의 심각도 수준입니다.
      type: string
    - name: pid
      설명: Nginx 서버의 프로세스 ID입니다.
      type: bigint
    - 이름: tid
      설명: Nginx 서버의 스레드 ID입니다.
      type: bigint
    - name: message
      required: true
      설명: 오류 메시지입니다.
      type: string
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.panther.com/ko/data-onboarding/supported-logs/nginx.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
